Name:          handbrake
Version:       1.4.1
Release:       1mamba
Summary:       An open-source multithreaded video transcoder
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://handbrake.fr/
Source:        https://github.com/HandBrake/HandBrake/releases/download/%{version}/HandBrake-%{version}-source.tar.bz2
Patch0:        %{name}-0.9.5-dbus-glib.patch
Patch1:        %{name}-0.9.5-libnotify-0.7.patch
Patch2:        handbrake-0.10.1-ffmpeg-disable-inline-asm.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrender-devel
BuildRequires: libXt-devel
BuildRequires: libass-devel
BuildRequires: libatk-devel
BuildRequires: libbrotli-devel
BuildRequires: libbsd-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libe2fs-devel
BuildRequires: libenchant1-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libfribidi-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk3-devel
BuildRequires: libgudev-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libicu-devel
BuildRequires: libjansson-devel
BuildRequires: libjpeg-devel
BuildRequires: libkrb5-devel
BuildRequires: liblame-devel
BuildRequires: liblzma-devel
BuildRequires: libnuma-devel
BuildRequires: libogg-devel
BuildRequires: libopus-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libsecret-devel
BuildRequires: libselinux-devel
BuildRequires: libsoup-devel
BuildRequires: libspeex-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libthai-devel
BuildRequires: libtheora-devel
BuildRequires: libuuid-devel
BuildRequires: libvorbis-devel
BuildRequires: libvpx-devel
BuildRequires: libwebkit-gtk3-devel
BuildRequires: libwebp-devel
BuildRequires: libx264-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: intel-gpu-tools

%description
HandBrake is an open-source, GPL-licensed, multithreaded video transcoder.

%debug_package

%prep
%setup -q -n HandBrake-%{version}
#%patch0 -p1
#%patch1 -p0
#%patch2 -p1

%build
./configure --prefix=%{_prefix}
#--force

cd build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd build
%makeinstall PREFIX=%{_prefix}
cd ..

%find_lang ghb

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f ghb.lang
%defattr(-,root,root)
%{_bindir}/ghb
%{_bindir}/HandBrakeCLI
%{_datadir}/applications/fr.handbrake.ghb.desktop
%{_datadir}/metainfo/fr.handbrake.ghb.metainfo.xml
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%doc COPYING 

%changelog
* Tue Aug 17 2021 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sun Jul 18 2021 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Tue May 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.3-1mamba
- update to 1.3.3

* Sun Apr 16 2017 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic version update by autodist

* Fri Feb 12 2016 Automatic Build System <autodist@mambasoft.it> 0.10.5-1mamba
- automatic version update by autodist

* Sat Jan 23 2016 Automatic Build System <autodist@mambasoft.it> 0.10.3-1mamba
- automatic version update by autodist

* Wed Jun 10 2015 Automatic Build System <autodist@mambasoft.it> 0.10.2-1mamba
- automatic version update by autodist

* Wed Mar 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.1-1mamba
- update to 0.10.1

* Thu Dec 04 2014 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Sun May 19 2013 Automatic Build System <autodist@mambasoft.it> 0.9.9-1mamba
- automatic version update by autodist

* Mon Aug 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-1mamba
- package created by autospec
